Feeef Cloud
ApiInventory

List inventory objects

GET
/inventory/objects
AuthorizationBearer <token>

Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.

In: header

Query Parameters

namespace?string
namespacePrefix?string

Suffix-* rollup, e.g. wh-main*

key?string
prefix?string

Suffix-* rollup, e.g. tshirt*

batch?string
catalogRef?string
tenantId?integer
Range-9007199254740991 <= value <= 9007199254740991
sort?string
Default"id"

Value in

  • "id"
  • "namespace"
  • "key"
dir?string
Default"asc"

Value in

  • "asc"
  • "desc"
limit?integer
Range0 < value <= 200
Default50
cursor?string|null

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/inventory/objects"
{  "data": [    {      "id": 0,      "tenantId": -9007199254740991,      "namespace": "string",      "key": "string",      "batch": "string",      "catalogRef": "string",      "quantityOnHand": 0,      "quantityReserved": 0,      "available": 0,      "unitCost": "string",      "expiresAt": "string",      "receivedAt": "string",      "priority": -9007199254740991,      "metadata": {        "property1": null,        "property2": null      }    }  ],  "meta": {    "nextCursor": "string"  }}